Bug 118051 - [CSS Grid Layout] Add support for parsing <grid-line> that includes a 'span'
Summary: [CSS Grid Layout] Add support for parsing <grid-line> that includes a 'span'
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sergio Villar Senin
URL:
Keywords: BlinkMergeCandidate
Depends on:
Blocks: 103314 119756
  Show dependency treegraph
 
Reported: 2013-06-26 01:41 PDT by Sergio Villar Senin
Modified: 2013-08-13 10:28 PDT (History)
15 users (show)

See Also:


Attachments
Patch (47.04 KB, patch)
2013-06-26 03:53 PDT, Sergio Villar Senin
kling: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Villar Senin 2013-06-26 01:41:37 PDT
We should consider merging:

Add support for parsing <grid-line> that includes a 'span'

This adds the parsing, style resolution and getComputedStyle bits to our code. The rendering code was not made aware of the new type of GridPosition yet.
BUG=229713
Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=148766
Comment 1 Sergio Villar Senin 2013-06-26 03:53:06 PDT
Created attachment 205467 [details]
Patch
Comment 2 Andreas Kling 2013-08-06 00:41:25 PDT
Comment on attachment 205467 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=205467&action=review

> Source/WebCore/css/CSSComputedStyleDeclaration.cpp:1109
> +    return list;

return list.release(); would be slightly more efficient.
Comment 3 Sergio Villar Senin 2013-08-06 04:44:51 PDT
Committed r153748: <http://trac.webkit.org/changeset/153748>